Skip to main content

πŸš€ Quickstart

Connect to Discord with Nango and see data flow in 2 minutes.
1

Create the integration

In Nango (free signup), go to Integrations -> Configure New Integration -> Discord.
2

Authorize Discord

Go to Connections -> Add Test Connection -> Authorize, then log in to Discord. Later, you’ll let your users do the same directly from your app.
3

Call the Discord API

Let’s make your first request to the Discord API. Replace the placeholders below with your secret key, integration ID, and connection ID:
curl "https://api.nango.dev/proxy/users/@me" \
  -H "Authorization: Bearer <NANGO-SECRET-KEY>" \
  -H "Provider-Config-Key: <INTEGRATION-ID>" \
  -H "Connection-Id: <CONNECTION-ID>"
Or fetch credentials with the Node SDK or API.βœ… You’re connected! Check the Logs tab in Nango to inspect requests.
4

Implement Nango in your app

Follow our Auth implementation guide to integrate Nango in your app.To obtain your own production credentials, follow the setup guide linked below.

πŸ“š Discord Integration Guides

Nango maintained guides for common use cases. Official docs: Discord API docs

🧩 Pre-built syncs & actions for Discord

Enable them in your dashboard. Extend and customize to fit your needs.

Others

Function nameDescriptionTypeSource code
channelsSync channels from DiscordSyncπŸ”— Github
guild-membersSync guild members from DiscordSyncπŸ”— Github
guildsSync guilds from Discord.SyncπŸ”— Github
messagesSync messages from Discord.SyncπŸ”— Github
rolesSync roles from DiscordSyncπŸ”— Github
webhooksSync webhooks from Discord.SyncπŸ”— Github